Ticket #41893

Ruledit: Use QSpinBox for numeric requirement value

Open Date: 2021-03-31 22:31 Last Update: 2021-04-12 19:08

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

In requirement editing dialog, for requirement types that take numerical value, entry field is presented. The problem is that it's textual one (QLineEdit), and user can type in any characters, not just numbers. Make it QSpinBox instead.

Ticket History (3/10 Histories)

2021-03-31 22:31 Updated by: cazfi
  • New Ticket "Ruledit: Use QSpinBox for numeric requirement value" created
2021-04-01 11:44 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-04-01 12:14 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

- There's no such signal as ValueEntered for QSpinBox, and aftet changing that to working ValueChanged usability is very bad; we do a refresh after each digit is entered, unfocusing the field, i.e., one cannot type many digits at once

2021-04-10 18:09 Updated by: cazfi
  • File 0005-Ruledit-Use-QSpinBox-for-numeric-requirement-value.patch (File ID: 6488) is attached
2021-04-10 18:09 Updated by: cazfi
  • File 0005-Ruledit-Use-QSpinBox-for-numeric-requirement-value.patch (File ID: 6488) is deleted
2021-04-10 18:10 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Refactor code avoid loss of focus while editing the value

2021-04-12 19:08 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login